Skip to Content
veriom

Get report builder

GET
/v1/workspaces/{workspace_id}/reports/{report_id}/builder

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
report_id*Report Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
config*
report_id*Report Id
Formatuuid
report_revision*Report Revision
report_status*Report Status
updated_at*Updated At
Formatdate-time
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/builder'
Example Response
{  "config": {    "audience": "string",    "branding": {      "accent_color": "#FACC15",      "logo_data_url": "string",      "organization_name": "string",      "show_veriom_mark": true    },    "goal": "executive_brief",    "objective": "string",    "schema_version": "report-builder-v1",    "sections": [      {        "content": "",        "detail_level": "brief",        "generated_by": "canonical",        "id": "string",        "included": true,        "kind": "executive_summary",        "selected_item_ids": [          "string"        ],        "selection_mode": "automatic",        "title": "string"      }    ],    "title": "string"  },  "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",  "report_revision": 0,  "report_status": "string",  "updated_at": "2019-08-24T14:15:22Z"}